> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dvuln.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Issues

> Retrieve all issues/findings for a specific project



## OpenAPI

````yaml api-reference/openapi.json get /api/org/projects/{shortcode}/findings
openapi: 3.0.3
info:
  title: Dvuln Organisation API
  description: API for managing projects, issues, and comments in Dvuln platform
  version: 1.0.0
servers:
  - url: https://{host}
    description: Dvuln API Server
    variables:
      host:
        default: console.dvuln.com
        description: The API host domain
security:
  - ApiKeyAuth: []
paths:
  /api/org/projects/{shortcode}/findings:
    get:
      summary: Get Issues
      description: Retrieve all issues/findings for a specific project
      operationId: getIssues
      parameters:
        - name: shortcode
          in: path
          required: true
          description: Project shortcode identifier
          schema:
            type: string
      responses:
        '200':
          description: Successful response with list of issues
          content:
            application/json:
              schema:
                type: object
                properties:
                  issues:
                    type: array
                    items:
                      type: object
                      properties:
                        ref:
                          type: string
                          example: '1'
                        shortcode:
                          type: string
                          example: DVPT-ABC-EXAMPLE-1
                        title:
                          type: string
                          example: Cross-Site Scripting (XSS) Vulnerability
                        severity:
                          type: string
                          enum:
                            - critical
                            - high
                            - medium
                            - low
                            - informational
                          example: high
                        severityNum:
                          type: integer
                          minimum: 1
                          maximum: 5
                          description: >-
                            Numeric severity (1=informational, 2=low, 3=medium,
                            4=high, 5=critical)
                          example: 4
                        creator:
                          type: object
                          properties:
                            displayName:
                              type: string
                              example: john-doe
                            firstName:
                              type: string
                              example: John
                            lastName:
                              type: string
                              example: Doe
                            fullName:
                              type: string
                              example: John Doe
                            profileImgUuid:
                              type: string
                              example: a1b2c3d4e5f6g7h8i9j0
                        status:
                          type: object
                          properties:
                            ID:
                              type: string
                              example: '3'
                            name:
                              type: string
                              example: Open
                            showReportDetails:
                              type: string
                              example: '1'
                            description:
                              type: string
                              example: >-
                                Issue has been reviewed and details are
                                available to the client.
                            canMoveToId:
                              type: string
                              nullable: true
                              example: '4'
                        updatedRaw:
                          type: string
                          nullable: true
                          description: Unix timestamp of last update
                          example: '1753081254'
                        updated:
                          type: string
                          description: Human-readable update time
                          example: July 21, 2025 05:00 PM
                        createdRaw:
                          type: string
                          nullable: true
                          description: Unix timestamp of creation
                          example: '1738120632'
                        created:
                          type: string
                          description: Human-readable creation time
                          example: January 29, 2025 02:17 PM
                        commentCount:
                          type: integer
                          minimum: 0
                          example: 2
                  count:
                    type: integer
                    description: Total number of issues
                    example: 33
                  ommitedByLimit:
                    type: integer
                    description: Number of issues omitted due to limit
                    example: 0
                  sorting:
                    type: string
                    nullable: true
                    description: Current sorting applied
        '403':
          description: Forbidden - Invalid or missing API key
        '404':
          description: Project not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Token
      description: API key for authentication

````